> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywise.de/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook endpoints

> List all webhook endpoints for your account. Automatically filtered by your access mode (test/production).



## OpenAPI

````yaml /api-docs/legacy/case-management/openapi.json get /v1/webhooks/
openapi: 3.0.3
info:
  title: paywise Case Management API
  version: v1
  description: |

    Use our Case Management API to perform the debt entire collection process.

    Please refer to the [official docs][ref1] for more!

    [ref1]: https://docs.paywise.de/api-docs/case-management-api/introduction
servers:
  - url: https://api.paywise.de
    description: Production environment
security: []
externalDocs:
  url: https://docs.paywise.de/api-docs/case-management-api/
paths:
  /v1/webhooks/:
    get:
      tags:
        - webhooks
      summary: List webhook endpoints
      description: >-
        List all webhook endpoints for your account. Automatically filtered by
        your access mode (test/production).
      operationId: list-webhooks
      parameters:
        - in: query
          name: enabled
          schema:
            type: boolean
          description: Filter by enabled status
        - name: limit
          required: false
          in: query
          description: Anzahl der pro Seite zurückzugebenden Ergebnisse.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: >-
            Der initiale Index, von dem die Ergebnisse zurückgegeben werden
            sollen.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedWebhookEndpointList'
          description: ''
      security:
        - tokenAuth: []
        - tokenAuth: []
components:
  schemas:
    PaginatedWebhookEndpointList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/WebhookEndpoint'
    WebhookEndpoint:
      type: object
      description: Serializer for WebhookEndpoint model.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        url:
          type: string
          format: uri
          title: Webhook URL
          description: HTTPS URL where webhook notifications will be sent
          maxLength: 2048
        enabled:
          type: boolean
          title: Aktiviert
          description: Whether this webhook endpoint is active
        events:
          title: Subscribed Events
          description: List of event types this webhook will receive
        access_mode:
          allOf:
            - $ref: '#/components/schemas/AccessModeEnum'
          description: |-
            Whether this webhook receives test or production events

            * `test` - Test
            * `production` - Production
        description:
          type: string
          title: Beschreibung
          description: Optional description or label for this webhook
          maxLength: 255
        consecutive_failures:
          type: integer
          readOnly: true
        last_failure_at:
          type: string
          format: date-time
          readOnly: true
        max_consecutive_failures:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          description: Webhook will be auto-disabled after this many consecutive failures
        created:
          type: string
          format: date-time
          readOnly: true
        updated:
          type: string
          format: date-time
          readOnly: true
        deliveries_url:
          type: string
          format: uri
          readOnly: true
      required:
        - consecutive_failures
        - created
        - deliveries_url
        - id
        - last_failure_at
        - updated
        - url
    AccessModeEnum:
      enum:
        - test
        - production
      type: string
      description: |-
        * `test` - Test
        * `production` - Production
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.